# VRTheWorldTerrainProvider

#### new Cesium.VRTheWorldTerrainProvider(options)
Core/VRTheWorldTerrainProvider.js 70

  A `TerrainProvider` that produces terrain geometry by tessellating height maps retrieved from a VT MÄK VR-TheWorld server.

  Name | Type | Description
  --- | --- | ---

  `options`

  Object

  Object with the following properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `url` | String |  | The URL of the VR-TheWorld TileMap.
  `proxy` | Object |  | optional A proxy to use for requests. This object is expected to have a getURL function which returns the proxied URL, if needed.
  `ellipsoid` | Ellipsoid | `Ellipsoid.WGS84` | optional The ellipsoid. If this parameter is not specified, the WGS84 ellipsoid is used.
  `credit` | Credit | String |  | optional A credit for the data source, which is displayed on the canvas.

  ##### Example:

      var terrainProvider = new Cesium.VRTheWorldTerrainProvider({
        url : 'https://www.vr-theworld.com/vr-theworld/tiles1.0.0/73/'
      });
      viewer.terrainProvider = terrainProvider;

  ##### See:

  - TerrainProvider

### Members

#### credit : Credit
Core/VRTheWorldTerrainProvider.js 177

  Gets the credit to display when this terrain provider is active. Typically this is used to credit the source of the terrain. This function should not be called before `VRTheWorldTerrainProvider#ready` returns true.

#### errorEvent : Event
Core/VRTheWorldTerrainProvider.js 165

  Gets an event that is raised when the terrain provider encounters an asynchronous error. By subscribing to the event, you will be notified of the error and can potentially recover from it. Event listeners are passed an instance of `TileProviderError`.

#### hasVertexNormals : Boolean
Core/VRTheWorldTerrainProvider.js 244

  Gets a value indicating whether or not the requested tiles include vertex normals. This function should not be called before `VRTheWorldTerrainProvider#ready` returns true.

#### hasWaterMask : Boolean
Core/VRTheWorldTerrainProvider.js 232

  Gets a value indicating whether or not the provider includes a water mask. The water mask indicates which areas of the globe are water rather than land, so they can be rendered as a reflective surface with animated waves. This function should not be called before `VRTheWorldTerrainProvider#ready` returns true.

#### ready : Boolean
Core/VRTheWorldTerrainProvider.js 206

  Gets a value indicating whether or not the provider is ready for use.

#### readonlyreadyPromise : Promise.<Boolean>
Core/VRTheWorldTerrainProvider.js 218

  Gets a promise that resolves to true when the provider is ready for use.

#### tilingScheme : GeographicTilingScheme
Core/VRTheWorldTerrainProvider.js 189

  Gets the tiling scheme used by this provider. This function should not be called before `VRTheWorldTerrainProvider#ready` returns true.

### Methods

#### getLevelMaximumGeometricError(level) → Number
Core/VRTheWorldTerrainProvider.js 311

  Gets the maximum geometric error allowed in a tile at a given level.

  Name | Type | Description
  --- | --- | ---
  `level` | Number | The tile level for which to get the maximum geometric error.

  ##### Returns:

  The maximum geometric error.

#### getTileDataAvailable(x, y, level) → Boolean
Core/VRTheWorldTerrainProvider.js 371

  Determines whether data for a tile is available to be loaded.

  Name | Type | Description
  --- | --- | ---
  `x` | Number | The X coordinate of the tile for which to request geometry.
  `y` | Number | The Y coordinate of the tile for which to request geometry.
  `level` | Number | The level of the tile for which to request geometry.

  ##### Returns:

  Undefined if not supported, otherwise true or false.

#### requestTileGeometry(x, y, level, throttleRequests) → Promise.<TerrainData>|undefined
Core/VRTheWorldTerrainProvider.js 266

  Requests the geometry for a given tile. This function should not be called before `VRTheWorldTerrainProvider#ready` returns true. The result includes terrain data and indicates that all child tiles are available.

  Name | Type | Default | Description
  --- | --- | --- | ---
  `x` | Number |  | The X coordinate of the tile for which to request geometry.
  `y` | Number |  | The Y coordinate of the tile for which to request geometry.
  `level` | Number |  | The level of the tile for which to request geometry.
  `throttleRequests` | Boolean | `true` | optional True if the number of simultaneous requests should be limited, or false if the request should be initiated regardless of the number of requests already in progress.

  ##### Returns:

  A promise for the requested geometry. If this method returns undefined instead of a promise, it is an indication that too many requests are already pending and the request will be retried later.